<div class ="wobd-badge-option-wrap">
    <label for="wobd-show-tooltip" class="wobd-show-tooltip">
        <?php esc_html_e( 'Enable Tooltip', WOBD_TD ); ?>
    </label>
    <div class="wobd-badge-field-wrap">
        <label class="wobd-switch">
            <input type="checkbox" class="wobd-display-tooltip wobd-checkbox" value="<?php
            if ( isset( $wobd_option[ 'wobd_enable_tooltip' ] ) ) {
                echo esc_attr( $wobd_option[ 'wobd_enable_tooltip' ] );
            } else {
                echo '0';
            }
            ?>" name="wobd_option[wobd_enable_tooltip]" <?php if ( isset( $wobd_option[ 'wobd_enable_tooltip' ] ) && $wobd_option[ 'wobd_enable_tooltip' ] == '1' ) { ?>checked="checked"<?php } ?>/>
            <div class="wobd-slider round"></div>
        </label>
        <p class="description"> <?php esc_html_e( 'Enable tooltip to show short information on badges.', WOBD_TD ) ?></p>
    </div>
</div>
<div class="wobd-badge-option-wrap">
    <label><?php esc_html_e( 'Tooltip Text', WOBD_TD ); ?></label>
    <div class="wobd-badge-field-wrap">
        <input type="text" class="wobd-tooltip-text" value="<?php
        if ( isset( $wobd_option[ 'badge_tooltip_text' ] ) ) {
            echo esc_attr( $wobd_option[ 'badge_tooltip_text' ] );
        }
        ?>" name='wobd_option[badge_tooltip_text]'>
    </div>
</div>
<div class ="wobd-badge-option-wrap">
    <label for="wobd-enable-tooltip-design" class="wobd-enable-tooltip-design">
        <?php esc_html_e( 'Enable Custom Color', WOBD_TD ); ?>
    </label>
    <div class="wobd-badge-field-wrap">
        <label class="wobd-switch">
            <input type="checkbox" class="wobd-tooltip-custom-color wobd-checkbox" value="<?php
            if ( isset( $wobd_option[ 'wobd_enable_tooltip_color' ] ) ) {
                echo esc_attr( $wobd_option[ 'wobd_enable_tooltip_color' ] );
            } else {
                echo '0';
            }
            ?>" name="wobd_option[wobd_enable_tooltip_color]" <?php if ( isset( $wobd_option[ 'wobd_enable_tooltip_color' ] ) && $wobd_option[ 'wobd_enable_tooltip_color' ] == '1' ) { ?>checked="checked"<?php } ?>/>
            <div class="wobd-slider round"></div>
        </label>
        <p class="description"> <?php esc_html_e( 'Enable custom color to change color.', WOBD_TD ) ?></p>
    </div>
</div>
<div class="wobd-tooltip-custom-design-wrap" <?php if ( isset( $wobd_option[ 'wobd_enable_tooltip_color' ] ) && $wobd_option[ 'wobd_enable_tooltip_color' ] == '1' ) { ?>style="display: block;"<?php } else { ?> style="display:none;"<?php } ?>>
    <div class="wobd-badge-option-wrap">
        <label><?php _e( 'Tooltip text Color', WOBD_TD ); ?></label>
        <div class="wobd-badge-field-wrap">
            <input type="text" class="wobd-color-picker wobd-tooltip-text-color" data-alpha="true" name="wobd_option[wobd_tooltip_text_color]"  value="<?php
            if ( isset( $wobd_option[ 'wobd_tooltip_text_color' ] ) ) {
                echo esc_attr( $wobd_option[ 'wobd_tooltip_text_color' ] );
            } else {
                echo "#000";
            }
            ?>"/>
        </div>
    </div>
    <div class="wobd-badge-option-wrap">
        <label><?php esc_html_e( 'Tooltip Background Color', WOBD_TD ); ?></label>
        <div class="wobd-badge-field-wrap">
            <input type="text" class="wobd-color-picker wobd-tooltip-bg-color" data-alpha="true" name="wobd_option[wobd_tooltip_background_color]"  value="<?php
            if ( isset( $wobd_option[ 'wobd_tooltip_background_color' ] ) ) {
                echo esc_attr( $wobd_option[ 'wobd_tooltip_background_color' ] );
            } else {
                echo "#ffffff";
            }
            ?>"/>
            <p class="description"> <?php esc_html_e( 'Note : Save to see the changes of custom color', WOBD_TD ) ?></p>
        </div>
    </div>

</div>