<?php
if ( isset( $wobd_option[ 'wobd_enable_custom_design' ] ) && $wobd_option[ 'wobd_enable_custom_design' ] == '1' ) {
    $title_color = $wobd_option[ 'wobd_text_color' ];

    $background_color = isset( $wobd_option[ 'wobd_background_color' ] ) ? esc_attr( $wobd_option[ 'wobd_background_color' ] ) : '#fff';
    $corner_bg_color = isset( $wobd_option[ 'wobd_corner_background_color' ] ) ? esc_attr( $wobd_option[ 'wobd_corner_background_color' ] ) : '#fff';
    $font_size = isset( $wobd_option[ 'wobd_font_size' ] ) ? esc_attr( $wobd_option[ 'wobd_font_size' ] ) : '15';
    $image_size = isset( $wobd_option[ 'wobd_image_size' ] ) ? esc_attr( $wobd_option[ 'wobd_image_size' ] ) : '90';
    ?>
    <style>

        .wobd-<?php echo $data_id; ?>.wobd-icon i{
            font-size: <?php echo $font_size; ?>px;
        }
        <?php
        if ( isset( $wobd_option[ 'background_type' ] ) && $wobd_option[ 'background_type' ] == 'text-background' ) {
            $template = isset( $wobd_option[ 'text_design_templates' ] ) ? esc_attr( $wobd_option[ 'text_design_templates' ] ) : 'template-1';

            if ( $template !== 'template-22') {
                ?>
                .wobd-<?php echo $data_id; ?>.wobd-text-<?php echo $template; ?> .wobd-icon, .wobd-<?php echo $data_id; ?>.wobd-text-<?php echo $template; ?> .wobd-text,
                .wobd-<?php echo $data_id; ?>.wobd-text-<?php echo $template; ?>
                {
                    background: <?php echo $background_color; ?>;
                    color: <?php echo $title_color; ?>;
                }
            <?php } ?>
            .wobd-<?php echo $data_id; ?>.wobd-text-<?php echo $template; ?>{
                font-size: <?php echo $font_size; ?>px;
            }
            <?php if ( $template == 'template-2' ) { ?>
                .wobd-<?php echo $data_id;
                ?>.wobd-text-template-2.wobd-position-left_center:after, .wobd-<?php echo $data_id; ?>.wobd-text-template-2.wobd-position-left_top:after, .wobd-<?php echo $data_id; ?>.wobd-text-template-2.wobd-position-left_bottom:after {
                    border-color: transparent transparent <?php echo $corner_bg_color; ?> transparent;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-2.wobd-position-right_center:after, .wobd-<?php echo $data_id; ?>.wobd-text-template-2.wobd-position-right_top:after, .wobd-<?php echo $data_id; ?>.wobd-text-template-2.wobd-position-right_bottom:after {
                    border-color: transparent transparent transparent <?php echo $corner_bg_color; ?>;
                }
                <?php
            }
            if ( $template == 'template-8' ) {
                ?>
                .wobd-<?php echo $data_id; ?>.wobd-text-template-8.wobd-position-left_top:after {

                    border-color:  <?php echo $background_color; ?> transparent transparent transparent;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-8.wobd-position-right_top:after {
                    border-color: transparent <?php echo $background_color; ?> transparent transparent;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-8.wobd-position-right_bottom:after {
                    border-color: transparent transparent <?php echo $background_color; ?> transparent;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-8 {
                    color: <?php echo $title_color; ?>;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-8.wobd-position-left_bottom:after {
                    border-color: transparent transparent transparent <?php echo $background_color; ?>;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-8 .wobd-icon, .wobd-<?php echo $data_id; ?>.wobd-text-template-8 .wobd-text, .wobd-<?php echo $data_id; ?>.wobd-text-template-8 {
                    background: transparent;
                }
                <?php
            }
            if ( $template == 'template-10' ) {
                ?>
                .wobd-<?php echo $data_id; ?>.wobd-text-template-10.wobd-position-right_top:before, .wobd-<?php echo $data_id; ?>.wobd-text-template-10.wobd-position-left_top:before {
                    border-color: transparent <?php echo $background_color; ?> transparent transparent;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-10.wobd-position-right_top:after, .wobd-<?php echo $data_id; ?>.wobd-text-template-10.wobd-position-left_top:after {
                    border-color: <?php echo $background_color; ?> transparent transparent transparent;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-10.wobd-position-right_bottom:after, .wobd-<?php echo $data_id; ?>.wobd-text-template-10.wobd-position-left_bottom:after {
                    border-color: transparent transparent transparent <?php echo $background_color; ?>;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-10.wobd-position-right_bottom:before,.wobd-<?php echo $data_id; ?>.wobd-text-template-10.wobd-position-left_bottom:before
                {
                    border-color: transparent transparent <?php echo $background_color; ?> transparent;
                }

                <?php
            }
            if ( $template == 'template-11' ) {
                ?>
                .wobd-<?php echo $data_id; ?>.wobd-text-template-11.wobd-position-left_top:before, .wobd-<?php echo $data_id; ?>.wobd-text-template-11.wobd-position-left_center:before, .wobd-<?php echo $data_id; ?>.wobd-text-template-11.wobd-position-left_bottom:before {

                    border-color: transparent transparent transparent <?php echo $background_color; ?>;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-11.wobd-position-left_top:after, .wobd-<?php echo $data_id; ?>.wobd-text-template-11.wobd-position-left_center:after, .wobd-<?php echo $data_id; ?>.wobd-text-template-11.wobd-position-left_bottom:after {
                    border-color: <?php echo $background_color; ?> transparent transparent transparent;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-11.wobd-position-right_top:before, .wobd-<?php echo $data_id; ?>.wobd-text-template-11.wobd-position-right_center:before, .wobd-<?php echo $data_id; ?>.wobd-text-template-11.wobd-position-right_bottom:before
                {
                    border-color: transparent transparent <?php echo $background_color; ?> transparent;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-11.wobd-position-right_top:after, .wobd-<?php echo $data_id; ?>.wobd-text-template-11.wobd-position-right_center:after, .wobd-<?php echo $data_id; ?>.wobd-text-template-11.wobd-position-right_bottom:after {
                    border-color: transparent <?php echo $background_color; ?> transparent transparent;
                }
                <?php
            }
            if ( $template == 'template-12' ) {
                ?>
                .wobd-<?php echo $data_id; ?>.wobd-text-template-12.wobd-position-left_top:before, .wobd-<?php echo $data_id; ?>.wobd-text-template-12.wobd-position-left_center:before, .wobd-<?php echo $data_id; ?>.wobd-text-template-12.wobd-position-left_bottom:before {
                    border-color: transparent transparent transparent <?php echo $background_color; ?>;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-12.wobd-position-right_top:before, .wobd-<?php echo $data_id; ?>.wobd-text-template-12.wobd-position-right_center:before, .wobd-<?php echo $data_id; ?>.wobd-text-template-12.wobd-position-right_bottom:before{
                    border-color: transparent <?php echo $background_color; ?> transparent transparent;
                }
                <?php
            }
            if ( $template == 'template-13' ) {
                ?>
                .wobd-<?php echo $data_id; ?>.wobd-text-template-13.wobd-position-right_top:before, .wobd-<?php echo $data_id; ?>.wobd-text-template-13.wobd-position-left_top:before {

                    border-color: transparent <?php echo $background_color; ?> transparent transparent;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-13.wobd-position-right_top:after, .wobd-<?php echo $data_id; ?>.wobd-text-template-13.wobd-position-left_top:after {
                    border-color: <?php echo $background_color; ?> transparent transparent transparent;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-13.wobd-position-left_top .wobd-text:after {
                    border-color: transparent transparent transparent <?php echo $corner_bg_color; ?>;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-13.wobd-position-left_bottom .wobd-text:after {
                    border-color: <?php echo $corner_bg_color; ?> transparent transparent transparent;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-13.wobd-position-right_top .wobd-text:after {
                    border-color: transparent transparent <?php echo $corner_bg_color; ?> transparent;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-13.wobd-position-right_bottom:after, .wobd-<?php echo $data_id; ?>.wobd-text-template-13.wobd-position-left_bottom:after{
                    border-color: transparent transparent transparent <?php echo $background_color; ?>;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-13.wobd-position-right_bottom:before, .wobd-<?php echo $data_id; ?>.wobd-text-template-13.wobd-position-left_bottom:before{
                    border-color: transparent transparent <?php echo $background_color; ?> transparent;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-13.wobd-position-right_bottom .wobd-text:after{
                    border-color: transparent <?php echo $background_color; ?> transparent transparent;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-13.wobd-position-right_bottom .wobd-text:after {
                    border-color: transparent <?php echo $corner_bg_color; ?> transparent transparent;
                }
                <?php
            }
            if ( $template == 'template-14' ) {
                ?>
                .wobd-<?php echo $data_id; ?>.wobd-text-template-14.wobd-position-right_bottom:before, .wobd-<?php echo $data_id; ?>.wobd-text-template-14.wobd-position-left_bottom:before {
                    border-color: transparent transparent <?php echo $background_color; ?> transparent;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-14.wobd-position-left_top:before, .wobd-<?php echo $data_id; ?>.wobd-text-template-14.wobd-position-right_top:before{
                    border-color: <?php echo $background_color; ?> transparent transparent transparent;
                }
                <?php
            }
            if ( $template == 'template-15' ) {
                ?>
                .wobd-<?php echo $data_id; ?>.wobd-text-template-15.wobd-position-left_top:before, .wobd-<?php echo $data_id; ?>.wobd-text-template-15.wobd-position-left_center:before, .wobd-<?php echo $data_id; ?>.wobd-text-template-15.wobd-position-left_bottom:before {
                    border-color: transparent transparent transparent <?php echo $background_color; ?>;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-15.wobd-position-right_top:before, .wobd-<?php echo $data_id; ?>.wobd-text-template-15.wobd-position-right_center:before, .wobd-<?php echo $data_id; ?>.wobd-text-template-15.wobd-position-right_bottom:before{
                    border-color: transparent <?php echo $background_color; ?> transparent transparent;
                }
                <?php
            }

            if ( $template == 'template-20' ) {
                ?>
                .wobd-<?php echo $data_id; ?>.wobd-text-template-20.wobd-position-left_bottom:after, .wobd-<?php echo $data_id; ?>.wobd-text-template-20.wobd-position-right_bottom:after, .wobd-<?php echo $data_id; ?>.wobd-text-template-20.wobd-position-left_top:after, .wobd-<?php echo $data_id; ?>.wobd-text-template-20.wobd-position-right_top:after {
                    border-color: transparent transparent transparent <?php echo $background_color; ?>;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-20.wobd-position-left_bottom:before, .wobd-<?php echo $data_id; ?>.wobd-text-template-20.wobd-position-right_bottom:before, .wobd-<?php echo $data_id; ?>.wobd-text-template-20.wobd-position-left_top:before, .wobd-<?php echo $data_id; ?>.wobd-text-template-20.wobd-position-right_top:before
                {
                    border-color: transparent transparent <?php echo $background_color; ?> transparent;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-20.wobd-position-right_bottom .wobd-text:before, .wobd-<?php echo $data_id; ?>.wobd-text-template-20.wobd-position-left_bottom .wobd-text:before, .wobd-<?php echo $data_id; ?>.wobd-text-template-20.wobd-position-right_top .wobd-text:before, .wobd-<?php echo $data_id; ?>.wobd-text-template-20.wobd-position-left_top .wobd-text:before {
                    border-color: transparent transparent transparent <?php echo $corner_bg_color; ?>;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-20.wobd-position-left_bottom .wobd-text:after, .wobd-<?php echo $data_id; ?>.wobd-text-template-20.wobd-position-right_bottom .wobd-text:after, .wobd-<?php echo $data_id; ?>.wobd-text-template-20.wobd-position-left_top .wobd-text:after, .wobd-<?php echo $data_id; ?>.wobd-text-template-20.wobd-position-right_top .wobd-text:after {
                    border-color: transparent transparent <?php echo $corner_bg_color; ?> transparent;
                }
                <?php
            }
            if ( $template == 'template-21' ) {
                ?>
                .wobd-<?php echo $data_id; ?>.wobd-text-template-21.wobd-position-left_top:after,  .wobd-<?php echo $data_id; ?>.wobd-text-template-21.wobd-position-right_top:after,
                .wobd-<?php echo $data_id; ?>.wobd-text-template-21.wobd-position-right_bottom:after,
                .wobd-<?php echo $data_id; ?>.wobd-text-template-21.wobd-position-left_bottom:after
                {
                    border-color: transparent transparent transparent <?php echo $background_color; ?>;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-21.wobd-position-left_bottom:before, .wobd-<?php echo $data_id; ?>.wobd-text-template-21.wobd-position-right_bottom:before, .wobd-<?php echo $data_id; ?>.wobd-text-template-21.wobd-position-left_top:before, .wobd-<?php echo $data_id; ?>.wobd-text-template-21.wobd-position-right_top:before
                {
                    border-color: transparent transparent <?php echo $background_color; ?> transparent;
                }
                <?php
            }
            if ( $template == 'template-22' ) {
                ?>
                .wobd-<?php echo $data_id; ?>.wobd-text-template-22.wobd-position-left_bottom:before, .wobd-<?php echo $data_id; ?>.wobd-text-template-22.wobd-position-right_bottom:before, .wobd-<?php echo $data_id; ?>.wobd-text-template-22.wobd-position-left_top:before, .wobd-<?php echo $data_id; ?>.wobd-text-template-22.wobd-position-right_top:before{
                    border-color: <?php echo $background_color; ?> transparent transparent transparent;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-22.wobd-position-right_bottom .wobd-text:before, .wobd-<?php echo $data_id; ?>.wobd-text-template-22.wobd-position-left_bottom .wobd-text:before, .wobd-<?php echo $data_id; ?>.wobd-text-template-22.wobd-position-right_top .wobd-text:before, .wobd-<?php echo $data_id; ?>.wobd-text-template-22.wobd-position-left_top .wobd-text:before
                {
                    border-color: transparent transparent transparent <?php echo $corner_bg_color; ?>;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-22.wobd-position-left_bottom .wobd-text:after, .wobd-<?php echo $data_id; ?>.wobd-text-template-22.wobd-position-right_bottom .wobd-text:after, .wobd-<?php echo $data_id; ?>.wobd-text-template-22.wobd-position-left_top .wobd-text:after, .wobd-<?php echo $data_id; ?>.wobd-text-template-22.wobd-position-right_top .wobd-text:after
                {
                    border-color: transparent transparent <?php echo $corner_bg_color; ?> transparent;
                }

                <?php
            }
            if ( $template == 'template-23' ) {
                ?>
                .wobd-<?php echo $data_id; ?>.wobd-text-template-23 .wobd-icon, .wobd-<?php echo $data_id; ?>.wobd-text-template-23 .wobd-text{
                    font-size:<?php echo $font_size; ?>px;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-23:after{
                    background: <?php echo $background_color; ?>;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-23{
                    color: <?php echo $title_color; ?>;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-23 .wobd-icon, .wobd-<?php echo $data_id; ?>.wobd-text-template-23 .wobd-text, .wobd-<?php echo $data_id; ?>.wobd-text-template-23{
                    background: transparent;
                }
                <?php
            }
            if ( $template == 'template-24' ) {
                ?>
                .wobd-<?php echo $data_id; ?>.wobd-text-template-24, .wobd-<?php echo $data_id; ?>.wobd-text-template-24 .wobd-text-main-wrap, .wobd-<?php echo $data_id; ?>.wobd-text-template-24 .wobd-text-inner-wrap {
                    color:<?php echo $title_color; ?>;
                    font-size: <?php echo $font_size; ?>px;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-24, .wobd-<?php echo $data_id; ?>.wobd-text-template-24 .wobd-text-main-wrap, .wobd-<?php echo $data_id; ?>.wobd-text-template-24 .wobd-text-inner-wrap,
                .wobd-<?php echo $data_id; ?>.wobd-text-template-24:before, .wobd-<?php echo $data_id; ?>.wobd-text-template-24:after, .wobd-<?php echo $data_id; ?>.wobd-text-template-24 .wobd-text-main-wrap:before, .wobd-<?php echo $data_id; ?>.wobd-text-template-24 .wobd-text-main-wrap:after, .wobd-<?php echo $data_id; ?>.wobd-text-template-24 .wobd-text-inner-wrap:before, .wobd-<?php echo $data_id; ?>.wobd-text-template-24 .wobd-text-inner-wrap:after {
                    background: <?php echo $background_color; ?>;
                }
                <?php
            }
            if ( $template == 'template-27' ) {
                ?>
                .wobd-<?php echo $data_id; ?>.wobd-text-template-27.wobd-position-right_top:before, .wobd-<?php echo $data_id; ?>.wobd-text-template-27.wobd-position-left_top:before {
                    border-color: transparent <?php echo $background_color; ?> transparent transparent;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-27.wobd-position-right_top:after, .wobd-<?php echo $data_id; ?>.wobd-text-template-27.wobd-position-left_top:after {
                    border-color: <?php echo $background_color; ?> transparent transparent transparent;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-27.wobd-position-right_bottom:after, .wobd-<?php echo $data_id; ?>.wobd-text-template-27.wobd-position-left_bottom:after
                {
                    border-color: transparent transparent transparent <?php echo $background_color; ?>;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-27.wobd-position-right_bottom:before, .wobd-<?php echo $data_id; ?>.wobd-text-template-27.wobd-position-left_bottom:before

                {
                    border-color: transparent transparent <?php echo $background_color; ?> transparent;
                }
                <?php
            }
            if ( $template == 'template-28' ) {
                ?>
                .wobd-<?php echo $data_id; ?>.wobd-text-template-28:after
                {
                    border-color: transparent transparent <?php echo $background_color; ?> transparent;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-28:before{
                    border-color: <?php echo $background_color; ?> transparent transparent transparent;
                }
                <?php
            }
            if ( $template == 'template-29' ) {
                ?>
                .wobd-<?php echo $data_id; ?>.wobd-text-template-29.wobd-position-left_top:after, .wobd-<?php echo $data_id; ?>.wobd-text-template-29.wobd-position-right_top:after {
                    border-color: <?php echo $background_color; ?> transparent transparent transparent;
                }
                .wobd-<?php echo $data_id; ?>.wobd-text-template-29.wobd-position-left_bottom:after, .wobd-<?php echo $data_id; ?>.wobd-text-template-29.wobd-position-right_bottom:after
                {
                    border-color: transparent transparent <?php echo $background_color; ?> transparent;
                }
                <?php
            }
            if ( $template == 'template-30' ) {
                ?>
                .wobd-<?php echo $data_id; ?>.wobd-text-template-30:after{
                    border-color: <?php echo $background_color; ?> transparent transparent transparent;
                }
                <?php
            }
        } else {
            $template = isset( $wobd_option[ 'existing_image' ] ) ? esc_attr( $wobd_option[ 'existing_image' ] ) : '1';
            ?>
            .wobd-<?php echo $data_id; ?>.wobd-image-bg-wrap.wobd-image-<?php echo $template; ?> .wobd-inner-text-container{
                color:<?php echo $title_color; ?>;
                font-size: <?php echo $font_size; ?>px;
                width: <?php echo $image_size; ?>px;
                height: <?php echo $image_size; ?>px;
            }
            .wobd-<?php echo $data_id; ?>.wobd-image-bg-wrap.wobd-image-<?php echo $template; ?> .wobd-image-ribbon{
                width: <?php echo $image_size; ?>px;
                height: <?php echo $image_size; ?>px;
            }
            <?php
        }
        ?>
    </style>
    <?php
}
if ( isset( $wobd_option[ 'wobd_enable_timer_color' ] ) && $wobd_option[ 'wobd_enable_timer_color' ] == '1' ) {
    $timer_color = isset( $wobd_option[ 'wobd_timer_color' ] ) ? esc_attr( $wobd_option[ 'wobd_timer_color' ] ) : '';
    ?>
    <style>
        .wobd-<?php echo $data_id; ?>.wobd-timer-template-10 .wobd-timer-text,
        .wobd-<?php echo $data_id; ?>.wobd-timer-template-8 .wobd-timer-text,.wobd-<?php echo $data_id; ?>.wobd-timer-template-8 .wobd-count-wrapper:first-of-type .wobd-count,
        .wobd-<?php echo $data_id; ?>.wobd-timer-template-7 .wobd-timer-text,
        .wobd-<?php echo $data_id; ?>.wobd-timer-template-6.wobd-timer-position-top, .wobd-<?php echo $data_id; ?>.wobd-timer-template-6.wobd-timer-position-bottom,
        .wobd-<?php echo $data_id; ?>.wobd-timer-template-5 .wobd-timer-text,
        .wobd-<?php echo $data_id; ?>.wobd-timer-template-1 .wobd-count-wrapper:first-of-type {
            background: <?php echo $timer_color; ?>;
        }
        .wobd-<?php echo $data_id; ?>.wobd-timer-template-9 .wobd-timer-text,
        .wobd-<?php echo $data_id; ?>.wobd-timer-template-7 .wobd-count-wrapper,
        .wobd-<?php echo $data_id; ?>.wobd-timer-template-6 .wobd-timer-text,
        .wobd-<?php echo $data_id; ?>.wobd-timer-template-5 .wobd-count,
        .wobd-<?php echo $data_id; ?>.wobd-timer-template-3 .wobd-timer-text,.wobd-<?php echo $data_id; ?>.wobd-timer-template-3 .wobd-time,
        .wobd-<?php echo $data_id; ?>.wobd-timer-template-4 .wobd-timer-text
        {
            background: <?php echo $timer_color; ?>;
        }
        .wobd-<?php echo $data_id; ?>.wobd-timer-template-4 .wobd-count:before{

            border-left: 3px solid <?php echo $timer_color; ?>;
            border-right: 3px solid <?php echo $timer_color; ?>;
            border-bottom: 3px solid <?php echo $timer_color; ?>;

        }
        .wobd-<?php echo $data_id; ?>.wobd-timer-template-2 .wobd-count,
        .wobd-<?php echo $data_id; ?>.wobd-timer-template-2 .wobd-timer-text{
            border: 2px solid <?php echo $timer_color; ?>;
        }
        .wobd-<?php echo $data_id; ?>.wobd-timer-template-10 .wobd-count-wrapper,
        .wobd-<?php echo $data_id; ?>.wobd-timer-template-2 .wobd-date-text{
            color:<?php echo $timer_color; ?>;
        }
        .wobd-<?php echo $data_id; ?>.wobd-timer-template-9 .wobd-count-wrapper{
            border: solid 4px <?php echo $timer_color; ?>;
        }
        .wobd-<?php echo $data_id; ?>.wobd-timer-template-6.wobd-timer-position-left .wobd-time, .wobd-<?php echo $data_id; ?>.wobd-timer-template-6.wobd-timer-position-right .wobd-time {
            background: <?php echo $timer_color; ?>;
        }

    </style>
    <?php
}
if ( isset( $wobd_option[ 'wobd_enable_tooltip_color' ] ) && $wobd_option[ 'wobd_enable_tooltip_color' ] == '1' ) {
    $tooltip_color = isset( $wobd_option[ 'wobd_tooltip_text_color' ] ) ? esc_attr( $wobd_option[ 'wobd_tooltip_text_color' ] ) : '#fff';
    $tooltip_background = isset( $wobd_option[ 'wobd_tooltip_background_color' ] ) ? esc_attr( $wobd_option[ 'wobd_tooltip_background_color' ] ) : '#000';
    ?>
    <style>
        .tooltipster-box{
            background: <?php echo $tooltip_background; ?>;
            color: <?php echo $tooltip_color; ?>;
        }
        .tooltipster-sidetip.tooltipster-bottom .tooltipster-arrow-background {
            border-bottom-color: <?php echo $tooltip_background; ?>;
        }
        .tooltipster-sidetip.tooltipster-left .tooltipster-arrow-background {
            border-left-color: <?php echo $tooltip_background; ?>;
        }
        .tooltipster-sidetip.tooltipster-right .tooltipster-arrow-background {
            border-right-color: <?php echo $tooltip_background; ?>;
        }
        .tooltipster-sidetip.tooltipster-top .tooltipster-arrow-background {
            border-top-color: <?php echo $tooltip_background; ?>;
        }
        .tooltipster-sidetip.tooltipster-bottom .tooltipster-arrow-border {
            border-bottom-color: <?php echo $tooltip_background; ?>;
        }

        .tooltipster-sidetip.tooltipster-left .tooltipster-arrow-border {
            border-left-color: <?php echo $tooltip_background; ?>;
        }
        .tooltipster-sidetip.tooltipster-right .tooltipster-arrow-border {
            border-right-color: <?php echo $tooltip_background; ?>;
        }
        .tooltipster-sidetip.tooltipster-top .tooltipster-arrow-border {
            border-top-color: <?php echo $tooltip_background; ?>;
        }
    </style>
    <?php
}
