<?php
$image_template = isset( $wobd_option[ 'existing_image' ] ) ? esc_attr( $wobd_option[ 'existing_image' ] ) : '1';
if ( isset( $wobd_option[ 'background_type' ] ) && $wobd_option[ 'background_type' ] == 'image-background' ) {
    $template = array( '17', '18', '19', '20', '30', '31' );
    if ( in_array( $image_template, $template ) ) {
        if ( ! empty( $wobd_option[ 'badge_text' ] ) ) {
            ?>
            <div class="wobd-first-text">
                <?php
                echo esc_attr( $wobd_option[ 'badge_text' ] );
                ?>
            </div>
            <?php
        }
    } else {

        if ( ! empty( $wobd_option[ 'badge_text' ] ) ) {
            ?>
            <div class="wobd-first-text">
                <?php
                echo esc_attr( $wobd_option[ 'badge_text' ] );
                ?>
            </div>
            <?php
        }
        if ( ! empty( $wobd_option[ 'badge_second_text' ] ) ) {
            ?>
            <div class="wobd-second-text">
                <?php
                echo esc_attr( $wobd_option[ 'badge_second_text' ] );
                ?>
            </div>
            <?php
        }
    }
} else {
    $text_template = isset( $wobd_option[ 'text_design_templates' ] ) ? esc_attr( $wobd_option[ 'text_design_templates' ] ) : 'template-1';

    $template = array(
        'template-8', 'template-11', 'template-12', 'template-15', 'template-16', 'template-19', 'template-20', 'template-21', 'template-22', 'template-23', 'template-27', 'template-28'
    );
    if ( in_array( $text_template, $template ) ) {
        if ( isset( $wobd_option[ 'badge_text' ] ) ) {
            echo esc_attr( $wobd_option[ 'badge_text' ] );
        }
    } else {
        echo $text_value;
        if ( isset( $wobd_option[ 'badge_second_text' ] ) ) {
            ?>
            <div class="wobd-second-text">
                <?php
                echo esc_attr( $wobd_option[ 'badge_second_text' ] );
                ?>
            </div>
            <?php
        }
    }
}