<?php defined( 'ABSPATH' ) or die( "No script kiddies please!" ); ?>
<div class="wobd-about-main-wrapper">
    <div class="wobd-intro-wrap">
        <?php include(WOBD_PATH . 'includes/admin/view/page/header.php'); ?>
        <div class="wobd-how-to-use-container">
            <div class="wobd-column-one-wrap">
                <div class="wobd-panel-body">
                    <div class="wobd-row">
                        <div class="wobd-col-three-third">
                            <h3><?php esc_html_e( 'More WordPress Resources', WOBD_TD ); ?></h3>
                            <p> <?php esc_html_e( 'Themes Compatible with the Plugin:', WOBD_TD ); ?></p>

                            <p><?php esc_html_e( "Woo Badge Designer works best with every WordPress WooCommerce theme. It's even more remarkable when used with popular themes like VMagazine and AccessPress Parallax.", WOBD_TD ); ?></p>

                            <strong><?php esc_html_e( "AND IF THIS PLUGIN HAS IMPRESSED YOU, THEN YOU WOULD ENJOY OUR OTHER PROJECTS TOO. DO CHECK THESE OUT :", WOBD_TD ); ?></strong>
                            <p><a href="https://wpall.club/"><?php esc_html_e( "WPAll Club - ", WOBD_TD ); ?></a><?php esc_html_e( "A complete WordPress resources club. WordPress tutorials, blogs, curated free and premium themes and plugins, WordPress deals, offers, hosting info and more.", WOBD_TD ); ?></p>

                            <p> <a href="https://themeforest.net/user/accesskeys/portfolio"><?php esc_html_e( "Premium WordPress Themes - ", WOBD_TD ); ?></a><?php esc_html_e( "6 premium WordPress themes well suited for all sort of websites. Professional, well coded and highly configurable themes for you.", WOBD_TD ); ?></p>

                            <p>  <a href="https://codecanyon.net/user/accesskeys/portfolio?Ref=AccessKeys"><?php esc_html_e( "Premium WordPress Plugins - ", WOBD_TD ); ?></a><?php esc_html_e( "45+ premium WordPress plugins of many different types. High user ratings, great quality and best sellers in CodeCanyon marketplace.", WOBD_TD ); ?></p>

                            <p>  <a href="https://accesspressthemes.com/"><?php esc_html_e( "AccessPress Themes - ", WOBD_TD ); ?></a><?php esc_html_e( "AccessPress Themes has 50+ beautiful and elegant, fully responsive, multipurpose themes to meet your need for free and commercial basis.", WOBD_TD ); ?></p>

                            <p>  <a href="https://8degreethemes.com/"><?php esc_html_e( "8Degree Themes - ", WOBD_TD ); ?></a><?php esc_html_e( "8Degree Themes offers 15+ free WordPress themes and 16+ premium WordPress themes carefully crafted with creativity.", WOBD_TD ); ?></p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>